package com.ruoyi.device.mqtt.domain.encoder.upgrade;

import com.ruoyi.device.mqtt.domain.BaseBody;

import java.util.List;

/**
 * 固件版本列表下行请求
 */
public class SendApkListRequest extends BaseBody
{
    private static final long serialVersionUID = 1L;

    /** 目标设备型号 */
    private String targetDeviceType;

    /** 固件类型 */
    private Integer firmwareType;

    /** 版本列表 */
    private List<String> versionList;

    public SendApkListRequest()
    {
        super();
    }

    public String getTargetDeviceType()
    {
        return targetDeviceType;
    }

    public void setTargetDeviceType(String targetDeviceType)
    {
        this.targetDeviceType = targetDeviceType;
    }

    public Integer getFirmwareType()
    {
        return firmwareType;
    }

    public void setFirmwareType(Integer firmwareType)
    {
        this.firmwareType = firmwareType;
    }

    public List<String> getVersionList()
    {
        return versionList;
    }

    public void setVersionList(List<String> versionList)
    {
        this.versionList = versionList;
    }
}
